
Echo off
Echo Installing the MIBs...
Echo Installing the MIBs... 1>>"%OV_BIN%\ciminstall.log"

Echo Loading Host MIB - CPQHOST
xnmloadmib -load .\MIBS\CPQHOST.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Appliance MIB - CPQAPLI
xnmloadmib -load .\MIBS\CPQAPLI.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Cluster MIB - CPQCLUS
xnmloadmib -load .\MIBS\CPQCLUS.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Clustered RAID MIB - CPQCR
xnmloadmib -load .\MIBS\CPQCR.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Fibre Channel MIB - CPQFCA
xnmloadmib -load .\MIBS\CPQFCA.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Health MIB - CPQHLTH
xnmloadmib -load .\MIBS\CPQHLTH.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Drive Array MIB - CPQIDA
xnmloadmib -load .\MIBS\CPQIDA.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading IDE MIB - CPQIDE
xnmloadmib -load .\MIBS\CPQIDE.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading NIC MIB - CPQNIC
xnmloadmib -load .\MIBS\CPQNIC.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Rack MIB - CPQRACK
xnmloadmib -load .\MIBS\CPQRACK.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Recovery Server MIB - CPQRECOV
xnmloadmib -load .\MIBS\CPQRECOV.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading SCSI MIB - CPQSCSI
xnmloadmib -load .\MIBS\CPQSCSI.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading System Information MIB - CPQSINFO
xnmloadmib -load .\MIBS\CPQSINFO.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Remote Insight MIB - CPQSM2
xnmloadmib -load .\MIBS\CPQSM2.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading External MIB - CPQSTAT
xnmloadmib -load .\MIBS\CPQSTAT.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Standard Equipment MIB - CPQSTDEQ
xnmloadmib -load .\MIBS\CPQSTDEQ.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Storage System MIB - CPQSTSYS
xnmloadmib -load .\MIBS\CPQSTSYS.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Threshold MIB - CPQTHRSH
xnmloadmib -load .\MIBS\CPQTHRSH.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Common Cluster MIB - SVRCLU
xnmloadmib -load .\MIBS\SVRCLU.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Cluster Management MIB - SVRNTC
xnmloadmib -load .\MIBS\SVRNTC.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

Echo Loading Rack and Power MIB - CPQRPM
xnmloadmib -load .\MIBS\CPQRPM.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Windows OS MIB - CPQWINOS
xnmloadmib -load .\MIBS\CPQWINOS.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
Echo Loading Linux OS MIB - CPQLINOS
xnmloadmib -load .\MIBS\CPQLINOS.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

Echo Loading Service MIB - CPQSERVICE
xnmloadmib -load .\MIBS\CPQSERVICE.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

REM Echo Loading CMC MIB - CPQCMC
REM xnmloadmib -load .\MIBS\CPQCMC.MIB -replace 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"


Echo MIBs installed.
Echo MIBs installed. 1>>"%OV_BIN%\ciminstall.log"
